Bug 974101 - [engine-web-admin] engine reports that host cannot join to cluster due to rhev compatibility version issues when it should report about the real issue, which is vdsm compatiblity versions in it's DB
Summary: [engine-web-admin] engine reports that host cannot join to cluster due to rhe...
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal   
(Show other bugs)
Version: 3.3.0
Hardware: x86_64 Unspecified
unspecified
medium
Target Milestone: ---
: 3.3.0
Assignee: Yaniv Bronhaim
QA Contact: Barak Dagan
URL:
Whiteboard: infra
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-13 12:29 UTC by Elad
Modified: 2016-02-10 19:21 UTC (History)
10 users (show)

Fixed In Version: is10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-18 08:23:36 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine log and screenshot (297.35 KB, application/x-gzip)
2013-06-13 12:29 UTC, Elad
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 17719 None None None Never
oVirt gerrit 18633 None None None Never

Description Elad 2013-06-13 12:29:55 UTC
Created attachment 760651 [details]
engine log and screenshot

Description of problem:

engine wrongly reports about issues with rhev compatibility issues when trying to attach a new host to cluster that have vdsm version that is not present in it's DB.

I added host with vdsm-4.11* which is not present in DB: 

 engine=# select * from vdc_options where option_name ilike '%version%';
 option_id |           option_name           | option_value  | version
-----------+---------------------------------+---------------+---------
       190 | MinimalETLVersion               | 3.2.0         | general
       223 | OvirtInitialSupportedIsoVersion | 2.5.5         | general
       255 | ProductRPMVersion               | 3.3.0.0       | general
       341 | VdcVersion                      | 3.3.0.0       | general
       304 | SupportedVDSMVersions           | 4.9,4.10 | general
         1 | BootstrapMinimalVdsmVersion     | 4.9           | general


Version-Release number of selected component (if applicable):
rhevm-3.2.0-11.29.el6ev.noarch


How reproducible:
100%

Steps to Reproduce:
1. try to join a non-compatible vdsm-version host to rhev cluster


Actual results:
engine reports:
"Host green-vdsb is compatible with versions (3.0,3.1,3.2,3.3) and cannot join Cluster iscsi2 which is set to version 3.2."

Expected results:
engine should report on the real problem - that vdsm version is not compatible and not rhev version

Additional info:
engine log and screenshot

Comment 1 Elad 2013-06-13 13:02:03 UTC
Version-Release number of selected component (if applicable):
rhevm-3.3.0-0.3.master.el6ev.noarch.rpm


Note You need to log in before you can comment on or make changes to this bug.